For the complete documentation index, see llms.txt. This page is also available as Markdown.

URL Redirection

Get

get

Retrieve URL Redirection Settings.

Query parameters
siteIdinteger · int32Optional

The Site ID for which to retrieve the URL RedirectionSettings. (optional)

Responses
200

Success

application/json; api-version=1.0

URL Redirection Settings

siteIdinteger · int32Optional

The site ID to which the URL redirection settings refer to.

defaultActionstring · enumOptional

Redirect action type options

Possible values:
replicatebooleanOptional

Whether the 'Replicate Settings' option is enabled or not.

get/api/URLRedirectionSettings

Update

put

Modify URL Redirection Settings.

Query parameters
siteIdinteger · int32Optional

The Site ID for which to modify the URL Redirection Settings. (optional)

Body

Update the URL redirection settings

defaultActionstring · enumOptional

Redirect action type options

Possible values:
replicateboolean · nullableOptional

Whether the 'Replicate Settings' option is enabled or not.

Responses
204

No Content

No content

put/api/URLRedirectionSettings

No content

Last updated